Package org.eclipse.m2m.atl.core.ant.tasks

# Class LoadModelTask

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.eclipse.m2m.atl.core.ant.tasks.AbstractAtlTask
org.eclipse.m2m.atl.core.ant.tasks.LoadModelTask

All Implemented Interfaces:
  `Cloneable`

public class LoadModelTask extends AbstractAtlTask
Model loading task.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`factory`
Only used for EMFVM launch.
`protected String`
`metamodel`
`protected String`
`modelHandler`
Only used for RegularVM launch.
`protected String`
`name`
`protected String`
`nsUri`
`protected File`
`path`
`protected String`
`uri`

### Fields inherited from class org.eclipse.m2m.atl.core.ant.tasks.AbstractAtlTask

`DEFAULT_LAUNCHER, DEFAULT_MODEL_HANDLER, LAUNCHER_PROPERTY, OPTION_MODEL_HANDLER, OPTION_MODEL_NAME, OPTION_MODEL_PATH, OPTION_NEW_MODEL, RESULT_REFERENCE`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor
Description
`LoadModelTask()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addConfiguredInjector(Injector injector)`
Adds an injector.
`void`
`execute()`
`void`
`setFactory(String factory)`
`void`
`setMetamodel(String metamodel)`
`void`
`setModelHandler(String modelHandler)`
`void`
`setName(String name)`
`void`
`setNsUri(String nsUri)`
`void`
`setPath(File path)`
`void`
`setUri(String uri)`

### Methods inherited from class org.eclipse.m2m.atl.core.ant.tasks.AbstractAtlTask

`error, error, getDefaultModelFactory, getLauncher, getLauncherName, init, newModel, newModel, newReferenceModel`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### name

protected String name

### metamodel

protected String metamodel

### modelHandler

protected String modelHandler
Only used for RegularVM launch.

### factory

protected String factory
Only used for EMFVM launch.

### path

protected File path

### nsUri

protected String nsUri

### uri

protected String uri

## Constructor Details

### LoadModelTask

public LoadModelTask()

## Method Details

### setName

public void setName(String name)

### setMetamodel

public void setMetamodel(String metamodel)

### setModelHandler

public void setModelHandler(String modelHandler)

### setFactory

public void setFactory(String factory)

### setPath

public void setPath(File path)

### setNsUri

public void setNsUri(String nsUri)

### setUri

public void setUri(String uri)

### addConfiguredInjector

public void addConfiguredInjector(Injector injector)
Adds an injector.

Parameters:
  `injector` - the given injector

### execute

public void execute() throws org.apache.tools.ant.BuildException

Overrides:
  `execute` in class `AbstractAtlTask`
Throws:
  `org.apache.tools.ant.BuildException`
See Also:
  - `AbstractAtlTask.execute()`